<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="google" value="notranslate">
    <meta name="description" content="adacraft extends Scratch with new blocks and tools to open up creative possibilities." />
    <script>
      // If the URL is not a file, be sure this page is openned as a "directory"
      // URL, i.e. with a trailing slash.
      if (
        !window.location.pathname.split('/').pop().includes('.')
        && window.location.pathname.substr(-1) !== '/'
      ) {
        window.location.pathname += '/'
      }
    </script>
    <title><%= htmlWebpackPlugin.options.title %></title>
    <link href="https://fonts.googleapis.com/css2?family=Arimo:wght@700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Averia+Libre:wght@700&display=swap" rel="stylesheet">
    <style>
      @font-face {
        font-family: "Luciole";
        src: url("fonts/Luciole-Regular.ttf");
      }
    </style>
    <link rel="apple-touch-icon" href="<%= htmlWebpackPlugin.options.root %>images/apple-touch-icon.png">
    <% if (htmlWebpackPlugin.options.root === "/" || htmlWebpackPlugin.options.root === "") { %>
      <link rel="manifest" href="<%= htmlWebpackPlugin.options.root %>manifest.webmanifest">
      <meta http-equiv="origin-trial" content="Atw4+sdP/UzTK6cEoQQ3uGPJaP+j28Ubw4IDZg0rml6J0HCyL6s3oh+/gHJZ+7r1spwhRlCz2lBvPQWP5GYNdA8AAABTeyJvcmlnaW4iOiJodHRwczovL3R1cmJvd2FycC5vcmc6NDQzIiwiZmVhdHVyZSI6IkZpbGVIYW5kbGluZyIsImV4cGlyeSI6MTYzNDA4MzE5OX0=">
    <% } %>
    <link
      rel="stylesheet" href="https://unpkg.com/leaflet@1.8.0/dist/leaflet.css"
      integrity="sha512-hoalWLoI8r4UszCkZ5kL8vayOGVae1oxXe/2A4AO6J9+580uKHDO3JdHb7NzwwzK5xr/Fs0W40kiNHxM9vyTtQ=="
      crossorigin=""
    />
    <style>
      #splash {
        position: absolute; width: 100%; height: 100%; top: 0; left: 0;
        display: flex; align-items: center; justify-content: center;
        font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; color: hsla(215, 100%, 65%, 1);
      }
      .tw-loaded #splash, #splash-content { display: none; }
      #splash[splash-theme="dark"] { background-color: #333; color: #fff; }
      #splash-spinner:after {
        content: " "; display: block; width: 64px; height: 64px;
        border-radius: 50%; border: 6px solid; border-color: currentColor transparent currentColor transparent;
        animation: splash-spinner 1.2s linear infinite;
      }
      @keyframes splash-spinner {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
      }
    </style>
    <link rel="dns-prefetch" href="https://trampoline.turbowarp.org/">
    <link rel="dns-prefetch" href="https://projects.scratch.mit.edu/">
    <link rel="dns-prefetch" href="https://assets.scratch.mit.edu/">
    <script src="//cdn.jsdelivr.net/npm/faunadb@latest/dist/faunadb-min.js"></script>
  </head>
  <body>
    <div id="splash" aria-hidden="true">
      <noscript>
        <h1>Enable JavaScript</h1>
      </noscript>
      <div id="splash-content">
        <div id="splash-spinner"></div>
     </div>
    </div>
    <script>
      (function() {
        document.querySelector('#splash-content').style.display = 'block';
        <% if (!htmlWebpackPlugin.options.noTheme) { %>
        try {var localTheme = localStorage.getItem('tw:theme');} catch (e) {}
        if (localTheme ? localTheme === 'dark' : window.matchMedia('(prefers-color-scheme: dark)').matches) document.querySelector('#splash').setAttribute('splash-theme', 'dark');
        <% } %>
      })();
    </script>
    <div id="app"></div>
  </body>
</html>
